View Issue Details

IDProjectCategoryView StatusLast Update
13718Bug reports[All Projects] Import/Exportpublic2018-06-11 16:31
ReporterDenisChenu Assigned Todominikvitt  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.8.x 
Target VersionFixed in Version3.10.x 
Summary13718: Reload page after import lss show error
Description

When reload page after import lss : show warning

Steps To Reproduce

Import any lss file
Click on reload (browser)
Confirm you want to reload
See the error

Expected behaviour :

  • Import same survey a second time (with a new id)
    OR
  • Show a beautifull error
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.8.1 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionmysql + pgsql
Server OS (if known)debian
Webserver software & version (if known)apache2
PHP VersionPHP5.6

Activities

DenisChenu

DenisChenu

2018-05-26 16:34

developer  

copy_reload_result.html (53,993 bytes)
DenisChenu

DenisChenu

2018-05-26 16:35

developer   ~47864

Last edited: 2018-05-26 16:35

View 2 revisions

PHP notice;html : debug at 2
copy_reload_result.html : debug at 0 (without css/js)



PHP notice.html (29,003 bytes)
LouisGac

LouisGac

2018-06-04 15:05

manager   ~47969

Dominik: could you add a if !empty

guest

guest

2018-06-05 10:21

viewer   ~47981

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27314

dominikvitt

dominikvitt

2018-06-05 10:26

developer   ~47982

Actual behavior while refreshing the import page depends on used Internet browser.
Firefox shows nice error message, while other browsers (Google Chrome, Opera) re-import survey file.

Related Changesets

LimeSurvey: master 77595954

2018-06-05 10:21:17

Dominik Vitt

Details Diff
Fixed issue 13718: Reload page after import lss show error Affected Issues
13718
mod - application/views/admin/survey/importSurvey_view.php Diff File

Issue History

Date Modified Username Field Change
2018-05-26 16:34 DenisChenu New Issue
2018-05-26 16:34 DenisChenu File Added: copy.html
2018-05-26 16:34 DenisChenu File Added: copy_reload_result.html
2018-05-26 16:35 DenisChenu File Deleted: copy.html
2018-05-26 16:35 DenisChenu File Added: PHP notice.html
2018-05-26 16:35 DenisChenu Note Added: 47864
2018-05-26 16:35 DenisChenu Note Edited: 47864 View Revisions
2018-06-04 15:05 LouisGac Assigned To => dominikvitt
2018-06-04 15:05 LouisGac Status new => assigned
2018-06-04 15:05 LouisGac Note Added: 47969
2018-06-05 10:21 Changeset attached => LimeSurvey master 77595954
2018-06-05 10:21 guest Note Added: 47981
2018-06-05 10:21 guest Resolution open => fixed
2018-06-05 10:26 dominikvitt Status assigned => resolved
2018-06-05 10:26 dominikvitt Fixed in Version => 3.8.x
2018-06-05 10:26 dominikvitt Note Added: 47982
2018-06-11 16:31 markusfluer Status resolved => closed
2018-06-11 16:31 markusfluer Fixed in Version 3.8.x => 3.10.x